<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DTO;

class SelectLoja extends Crud {
    
    const SELECT_LOJA_ORDER_BY_LOJA   = 'select_loja_orderbyloja',
          SELECT_LOJA                 = 'select_loja';
    
    protected $dataSourceName = self::SELECT_LOJA_ORDER_BY_LOJA;
              
    
    public function find (DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = self::SELECT_LOJA;
        parent::find($request, $response);
    }
    
    public function findOrderByLoja (DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = self::SELECT_LOJA_ORDER_BY_LOJA;
        parent::find($request, $response);
    }
}